<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>CCodeRefactoring: VarDeclMemory Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
  $(document).ready(function() { init_search(); });
/* @license-end */
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">CCodeRefactoring
   &#160;<span id="projectnumber">First Alpha</span>
   </div>
   <div id="projectbrief">Create Simulation Executable From Existing Code</div>
  </td>
   <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('struct_var_decl_memory.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="struct_var_decl_memory-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">VarDeclMemory Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="_types_for_analysis_8h_source.html">TypesForAnalysis.h</a>&gt;</code></p>
<div class="dynheader">
Collaboration diagram for VarDeclMemory:</div>
<div class="dyncontent">
<div class="center"><img src="struct_var_decl_memory__coll__graph.png" border="0" usemap="#_var_decl_memory_coll__map" alt="Collaboration graph"/></div>
<map name="_var_decl_memory_coll__map" id="_var_decl_memory_coll__map">
<area shape="rect" title=" " alt="" coords="16,95,143,121"/>
<area shape="rect" href="struct_statement_identifier.html" title=" " alt="" coords="5,5,153,32"/>
</map>
<center><span class="legend">[<a target="top" href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a111e92d9eed082390063bbbc2dd4b409"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_var_decl_memory.html#a111e92d9eed082390063bbbc2dd4b409">isLeftValue</a></td></tr>
<tr class="separator:a111e92d9eed082390063bbbc2dd4b409"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaa1c9c58e3b5dafc0fe903f42710967f"><td class="memItemLeft" align="right" valign="top">unsigned&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_var_decl_memory.html#aaa1c9c58e3b5dafc0fe903f42710967f">eqNo</a></td></tr>
<tr class="separator:aaa1c9c58e3b5dafc0fe903f42710967f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4d86372e9edad7968b0646a0157957b3"><td class="memItemLeft" align="right" valign="top"><a class="el" href="struct_statement_identifier.html">StatementIdentifier</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_var_decl_memory.html#a4d86372e9edad7968b0646a0157957b3">StmtID</a></td></tr>
<tr class="separator:a4d86372e9edad7968b0646a0157957b3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adc51cada4106b602b856292fc26e4f16"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_var_decl_memory.html#adc51cada4106b602b856292fc26e4f16">varName</a></td></tr>
<tr class="separator:adc51cada4106b602b856292fc26e4f16"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="aaa1c9c58e3b5dafc0fe903f42710967f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aaa1c9c58e3b5dafc0fe903f42710967f">&#9670;&nbsp;</a></span>eqNo</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned VarDeclMemory::eqNo</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a111e92d9eed082390063bbbc2dd4b409"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a111e92d9eed082390063bbbc2dd4b409">&#9670;&nbsp;</a></span>isLeftValue</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool VarDeclMemory::isLeftValue</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a4d86372e9edad7968b0646a0157957b3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4d86372e9edad7968b0646a0157957b3">&#9670;&nbsp;</a></span>StmtID</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="struct_statement_identifier.html">StatementIdentifier</a> VarDeclMemory::StmtID</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="adc51cada4106b602b856292fc26e4f16"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adc51cada4106b602b856292fc26e4f16">&#9670;&nbsp;</a></span>varName</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::string VarDeclMemory::varName</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="struct_var_decl_memory.html">VarDeclMemory</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.17 </li>
  </ul>
</div>
</body>
</html>
